%Anfragen an den Automaten: ?- start([eingabe,eingabe,...]).
eingabe(X):- member(X, [eins, zwei]).
ausgabe(X):- member(X, [nichts, strauss]).
zustand(X):- member(X, [0, 100, 200]).

anfangszustand(0).
endzustand(0).

% uebergang(ausgangszustand, eingabe, ausgabe, folgezustand)
uebergang(0, eins, nichts, 100):-!.
uebergang(0, zwei, nichts, 200):-!.
uebergang(100, eins, nichts, 200):-!.
uebergang(100, zwei, strauss, 0):-!.
uebergang(200, eins, strauss, 0):-!.
uebergang(200, zwei, strauss, 100):-!.


start(Eingabe):-
  anfangszustand(Zustand),
  write('Eingabe -> Ausgabe'),
  nl,
  automat(Zustand, Eingabe).

automat(Zustand, [Eingabe|Rest]):-
  uebergang(Zustand, Eingabe, Ausgabe, NeuerZustand),
  write(Eingabe), write(' -> '),
  write(Ausgabe), tab(2),
  nl,
  automat(NeuerZustand, Rest).

automat(Zustand,[]):-endzustand(Zustand).



