% Anfragen mit ?- start([eingabe,eingabe,...]).
eingabe(X):- member(X, [fuenfzig, eins, zwei]).
ausgabe(Y):- member(Y, [parkschein]).
zustand(Z):- member(Z, [0, 50, 100, 150]).

ausgabemene([]).
ausgabemenge([K|Rs]):-ausgabe(K),ausgabemenge(Rs).

anfangszustand(0).
endzustand(0).

% uebergang/4 wird definiert durch uebergang(ausgangszustand, eingabe, ausgabe, folgezustand)
uebergang(0, fuenfzig, [], 50):-!.
uebergang(0, eins, [], 100):-!.
uebergang(0, zwei, [parkschein], 0):-!.
uebergang(50, fuenfzig, [], 100):-!.
uebergang(50, eins, [], 150):-!.
uebergang(50, zwei, [parkschein], 0):-!.
uebergang(100, fuenfzig, [], 150):-!.
uebergang(100, eins, [parkschein], 0):-!.
uebergang(100, zwei, [parkschein], 0):-!.
uebergang(150, fuenfzig, [parkschein], 0):-!.
uebergang(150, eins, [parkschein], 0):-!.
uebergang(150, zwei, [parkschein], 0):-!.

%Programmbeiwerk

start(Eingabe):- 
  anfangszustand(Zustand),
  write('Eingabe -> Ausgabe'),
  nl,
  automat(Zustand, Eingabe).

automat(Zustand, [Eingabe|Rest]):-
  %eingabe(Eingabe),                                      % Pruefen der Eingabe
  uebergang(Zustand, Eingabe, Ausgabe, NeuerZustand),    % Uebergang
  zustand(NeuerZustand),                                 % Pruefen des Zustandes
  %ausgabemenge(Ausgabe),                                 % Pruefen der Ausgabe
  write(Eingabe), write(' -> '),
  write(Ausgabe), tab(2),
  nl,
  automat(NeuerZustand, Rest).

automat(Zustand, []):-endzustand(Zustand).